import { defineStore } from "pinia";
export const useEmployeeArchivesStore = defineStore("employeeArchives", {
  state: () => {
    return {
      dictionarySearch: {},
      departmentV2TreeAll: [],
      positionV2List: [],
      departmentListAll:[],
      bellNum:0,
      agmJumpIDs:[], //考勤组跳转IDs
    };
  },
  actions: {
    changeDictionarySearch(params) {
      this.dictionarySearch = params;
    },
    changeDepartmentV2TreeAll(params) {
      this.departmentV2TreeAll = params;
    },
    changeDepartmentListAll(params) {
      this.departmentListAll = params;
    },
    changePositionV2List(params) {
      this.positionV2List = params;
    },
    changeBellNum(params) {
      this.bellNum = params;
    },
    // 考勤组跳转员工档案-员工ids
    changeEmployeeIds (params) {
      this.agmJumpIDs = params;
    },
  },
});
